<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>

<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));

	var getFilterParams = function () {
		$$('form')[0].addEvent('submit', function(e){e.stop()});
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};

	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 350
	});

    var overlay = new Cubix.Overlay.Box(document.body, { showLoader: true });

	/* don't forget to assign Cubix.Grid.Instance when using Cubix.Popup.Actions.Save */
	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		preload: false,
		header: [
			{ title: 'ID', field: 'id', type: 'number', sortable: true, width: '40px' },
			{ title: 'Title', field: 'name', type: 'string', sortable: true }
		],
		sort: {
			field: 'name',
			dir: 'asc'
		},
		actions: [ { type: 'remove', func: function (data) {
			alert('Removing or editing of zones are not allowed');
			// if ( confirm('Are you sure you want to delete this row?') ) {
			// 	this.overlay.disable();
			// 	new Request({
			// 		url: '<?= $this->baseUrl() ?>/geography/zones/remove?id=' + data.id,
			// 		onSuccess: function (resp) {
			// 			this.load();
			// 		}.bind(this)
			// 	}).send();
			// }
		} }, { type: 'edit', func: function (data) {
			alert('Removing or editing of zones are not allowed');
			// popup.setTitle('Edit Cityzone');
			// popup.load('<?= $this->baseUrl() ?>/geography/zones/edit?id=' + data.id, function () {
			// 	this.open();
			// });
		} } ],
		data: new Cubix.Grid.Loader({ url: '<?= $this->baseUrl() ?>/geography/zones/data', params: getFilterParams })
	});

	new Cubix.Button($('btn-create'), { onClick: function () {
		popup.setTitle('Add New Zone');
		popup.load('<?= $this->baseUrl() ?>/geography/zones/create', popup.open);
	}, icon: 'add', caption: 'Add New Zone' });

	
	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	grid.load();
};
</script>

<div class="form-common gray c-filter-form">
	<form>
		
		<div class="inner mb10">
			<label for="name">Title</label>
			<input type="text" class="txt" name="name" value="<?= $this->filter_params['name'] ?>" />
		</div>
		<div class="clear"></div>
		
		<a id="btn-refresh"></a>
		<div class="clear"></div>
	</form>
</div><!-- form-common -->

<div class="buttons_area mb50">

    <div class="mt10 fleft">
        <a id="btn-create"></a>
        <div class="clear"></div>
    </div>

</div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
